org.icefaces.ace.component.dataexporter

## Class XMLExporter

- java.lang.Object
- - org.icefaces.ace.component.dataexporter.Exporter
  - - org.icefaces.ace.component.dataexporter.XMLExporter

-     public class XMLExporter
      extends Exporter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.icefaces.ace.component.dataexporter.Exporter

      `Exporter.ColumnType, Exporter.SpanningColumn, Exporter.SpanningRow, Exporter.SpanningRows`

  - ### Field Summary

    - ### Fields inherited from class org.icefaces.ace.component.dataexporter.Exporter

      `encodingType, excludeColumns, expandedOnly, filename, HTML_TAG_PATTERN, includeFooters, includeHeaders, logger, pageOnly, pdfFont, postProcessor, preProcessor, selectedRowsOnly, spanningFooterRows, spanningRows, userColumnOrder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLExporter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addColumnValue(java.lang.StringBuilder builder, java.util.List<javax.faces.component.UIComponent> components, java.lang.String header)`
    `protected void` | `addColumnValue(java.lang.StringBuilder builder, java.lang.String footer, java.lang.String header)`
    `protected void` | `addColumnValues(java.lang.StringBuilder builder, java.util.List<javax.faces.component.UIColumn> columns, java.util.List<java.lang.String> headers)`
    `protected void` | `addFooterValues(java.lang.StringBuilder builder, java.util.List<java.lang.String> footers, java.util.List<java.lang.String> headers)`
    `java.lang.String` | `export(javax.faces.context.FacesContext facesContext, DataExporter component, DataTable table)`
    `protected void` | `exportChildRows(javax.faces.context.FacesContext context, TreeDataModel rootModel, RowStateMap rowStateMap, DataTable table, java.util.List<javax.faces.component.UIColumn> columns, java.lang.String rootIndex, java.lang.StringBuilder builder, java.util.List<java.lang.String> headers, java.lang.String var)`
    `protected void` | `exportConditionalRow(java.lang.StringBuilder builder, Row row, java.lang.String var, boolean isBefore)`
    `protected java.lang.String` | `extractValueToDisplay(javax.faces.component.UIColumn column, Exporter.ColumnType columnType)`
    `protected java.util.List<java.lang.String>` | `getFacetTexts(java.util.List<javax.faces.component.UIColumn> columns, Exporter.ColumnType columnType)`
    `protected java.util.List<java.lang.String>` | `getHeadersFromColumnGroup(ColumnGroup columnGroup, java.util.List<javax.faces.component.UIColumn> columns, DataTable data, int[] excludeColumns)`
    `protected java.lang.String` | `sanitizeXMLTagName(java.lang.String tag)`

    - ### Methods inherited from class org.icefaces.ace.component.dataexporter.Exporter

      `determineHeaderColumnOrdering, exportChildRowValues, exportConditionalRowValues, exportValue, getColumnGroupFooter, getColumnGroupHeader, getColumnsToExport, getFooterRowColumnsToExport, getRowColumnsToExport, getRows, getRows, hasColumnFooter, registerResource, resolveExcludedColumnIndexes, setUp, shouldExcludeFromExport`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLExporter

          public XMLExporter()

  - ### Method Detail

    - #### export

          public java.lang.String export(javax.faces.context.FacesContext facesContext,
                                         DataExporter component,
                                         DataTable table)
                                  throws java.io.IOException

      Specified by:
        `export` in class `Exporter`
      Throws:
        `java.io.IOException`

    - #### exportChildRows

          protected void exportChildRows(javax.faces.context.FacesContext context,
                                         TreeDataModel rootModel,
                                         RowStateMap rowStateMap,
                                         DataTable table,
                                         java.util.List<javax.faces.component.UIColumn> columns,
                                         java.lang.String rootIndex,
                                         java.lang.StringBuilder builder,
                                         java.util.List<java.lang.String> headers,
                                         java.lang.String var)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### exportConditionalRow

          protected void exportConditionalRow(java.lang.StringBuilder builder,
                                              Row row,
                                              java.lang.String var,
                                              boolean isBefore)
                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### addColumnValues

          protected void addColumnValues(java.lang.StringBuilder builder,
                                         java.util.List<javax.faces.component.UIColumn> columns,
                                         java.util.List<java.lang.String> headers)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### addFooterValues

          protected void addFooterValues(java.lang.StringBuilder builder,
                                         java.util.List<java.lang.String> footers,
                                         java.util.List<java.lang.String> headers)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getFacetTexts

          protected java.util.List<java.lang.String> getFacetTexts(java.util.List<javax.faces.component.UIColumn> columns,
                                                                   Exporter.ColumnType columnType)

    - #### extractValueToDisplay

          protected java.lang.String extractValueToDisplay(javax.faces.component.UIColumn column,
                                                           Exporter.ColumnType columnType)

    - #### getHeadersFromColumnGroup

          protected java.util.List<java.lang.String> getHeadersFromColumnGroup(ColumnGroup columnGroup,
                                                                               java.util.List<javax.faces.component.UIColumn> columns,
                                                                               DataTable data,
                                                                               int[] excludeColumns)

    - #### addColumnValue

          protected void addColumnValue(java.lang.StringBuilder builder,
                                        java.util.List<javax.faces.component.UIComponent> components,
                                        java.lang.String header)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### addColumnValue

          protected void addColumnValue(java.lang.StringBuilder builder,
                                        java.lang.String footer,
                                        java.lang.String header)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### sanitizeXMLTagName

          protected java.lang.String sanitizeXMLTagName(java.lang.String tag)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.